Better progress messages
The progress messages need to be improved with the NSIS installer. One example is when parsing text files (e.g. old log files) it shows line number in the file that is being parsed, etc.